## rustc 1.41.1%2Bdfsg1

=== src/test/run-make-fulldeps/issue-37893/Makefile ===
-include ../tools.mk

# ignore-stage1

all:
	$(RUSTC) a.rs && $(RUSTC) b.rs && $(RUSTC) c.rs
