=== debian/changelog ===
rustc (1.41.1+dfsg1-1~deb10u1.lnd.4+b1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- root <root@loongson-pc>  Fri, 01 Apr 2022 16:38:00 +0800

rustc (1.41.1+dfsg1-1~deb10u1.lnd.4+b1) unstable; urgency=medium

  * rebuild

 -- root  <zhaixiaojuan@loongson.cn>  Thu, 10 Feb 2022 10:49:14 +0800

rustc (1.41.1+dfsg1-1~deb10u1.lnd.4) unstable; urgency=medium

  * update_gs464_to_la464.patch
  * add_loongarch_target_feature.patch
  * This version is consistent with lnd.3 and is only used to solve the version conflict problem of gerritos when building

 -- zhaixiaojuan <zhaixiaojuan@loongson.cn>  Thu, 10 Feb 2022 10:49:14 +0800

rustc (1.41.1+dfsg1-1~deb10u1.lnd.3) unstable; urgency=medium
  
  * update_gs464_to_la464.patch
  * add_loongarch_target_feature.patch

 -- zhaixiaojuan <zhaixiaojuan@loongson.cn>  Wed, 26 Jan 2021 10:49:14 +0800

rustc (1.41.1+dfsg1-1~deb10u1.lnd.2) unstable; urgency=medium

  * l-rustc-loongarch-newabi.patch
  * loongarch64 new abi, and fix some type define

 -- wanglei <wanglei@loongson.cn>  Wed, 27 Jan 2021 20:37:14 +0800

rustc (1.41.1+dfsg1-1~deb10u1.lnd.1) unstable; urgency=medium

  * cc-add-loongarch-support.patch
  * libc-add-loongarch-support.patch
  * rustc-add-loongarch-support.patch
  * l-fix-type-define-on-loongarch64.patch

 -- wanglei <wanglei@loongson.cn>  Fri, 15 Jan 2021 11:06:19 +0800

rustc (1.41.1+dfsg1-1~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Backport to buster.
  * stage0 build.
    - Use arm-unknown-linux-gnueabi target for armel.
  * Use LLVM 7.
  * Disable wasm.
  * Reduce debugging symbols on i386 to avoid FTBFS due to OOM.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 08 Sep 2020 18:38:19 +0200

rustc (1.41.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Apr 2020 23:41:11 +0100

rustc (1.41.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Ximin Luo ]
  * More python 2 -> 3 fixes.
  * Enable the wasm32-wasi target for code that needs a "real" libstd.
  * Don't strip static rlibs. This sometimes breaks wasm, and more generally
    the stripped debuginfo is actually totally lost rather than being moved
    into the -dbgsym packages. Shared libraries are unaffected and work.
  * Allow 180 failing tests on riscv64, none were actually run last time.

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Mar 2020 00:31:34 +0000
