## rustc 1.42.0+dfsg1

=== debian/changelog ===
rustc (1.42.0+dfsg1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 25 Apr 2020 04:53:04 +0000

rustc (1.42.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Apr 2020 11:33:25 +0100

rustc (1.42.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Apr 2020 16:06:03 +0100
