=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
  Sylvestre Ledru <sylvestre@debian.org>
 # :native annotations are to support cross-compiling, see README.Debian
 Build-Depends: debhelper (>= 9),
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                python3:native,
                cargo:native (>= 0.40.0)      <!pkg.rustc.dlstage0>,
-#               rustc:native (>= 1.40.0+dfsg) <!pkg.rustc.dlstage0>,
-               rustc:native,
-               llvm-8-dev:native,
-               llvm-8-tools:native,
-#               libllvm7 (>= 1:9.0.1-2),
+               rustc:native (>= 1.41.0+dfsg) <!pkg.rustc.dlstage0>,
+               rustc:native (<= 1.42.0++)    <!pkg.rustc.dlstage0>,
+               llvm-9-dev:native,
+               llvm-9-tools:native,
+               libllvm9 (>= 1:9.0.1-2),
                autotools-dev,
-#               cmake (>= 3.0) | cmake3,
+               cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
                pkg-config,
 # this is sometimes needed by rustc_llvm
@@ -29,13 +30,13 @@
                git <!nocheck>,
                procps <!nocheck>,
 # below are optional tools even for 'make check'
-#               gdb (>= 7.12) <!nocheck>,
+               gdb (>= 7.12) <!nocheck>,
 # Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
                curl <pkg.rustc.dlstage0>,
                ca-certificates <pkg.rustc.dlstage0>,
-#Build-Depends-Indep:
-# wasi-libc (>= 0.0~git20191220.a280fea~~) <!nowasm>,
-# wasi-libc (<= 0.0~git20191220.a280fea++) <!nowasm>,
+Build-Depends-Indep:
+ wasi-libc (>= 0.0~git20200114.1fad338~~) <!nowasm>,
+ wasi-libc (<= 0.0~git20200114.1fad338++) <!nowasm>,
 Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.2.1
 Homepage: http://www.rust-lang.org/
@@ -48,8 +49,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-dev (= ${binary:Version}),
  gcc, libc-dev, binutils (>= 2.26)
-Recommends: cargo (>= 0.42.0~~), cargo (<< 0.43.0~~), rust-gdb | rust-lldb
-Suggests: rust-doc, rust-src, lld-7
+Recommends: cargo (>= 0.43.0~~), cargo (<< 0.44.0~~), rust-gdb | rust-lldb
+Suggests: rust-doc, rust-src, lld-9
 Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
 Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
 Description: Rust systems programming language
@@ -65,7 +66,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.41
+Package: libstd-rust-1.42
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -90,7 +91,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.41 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.42 (= ${binary:Version})
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -107,32 +108,33 @@
  This package contains development files necessary to use the standard
  Rust libraries.
 
-#Package: libstd-rust-dev-wasm32-cross
-#Section: libdevel
-#Architecture: all
-#Depends: ${shlibs:Depends}, ${misc:Depends}, lld-7
-## Embeds wasi-libc so doesn't need to depend on it
-## None of its licenses require source redistrib, so no need for Built-Using
-#Build-Profiles: <!nowasm>
-#Description: Rust standard libraries - development files
-# Rust is a curly-brace, block-structured expression language.  It
-# visually resembles the C language family, but differs significantly
-# in syntactic and semantic details.  Its design is oriented toward
-# concerns of "programming in the large", that is, of creating and
-# maintaining boundaries - both abstract and operational - that
-# preserve large-system integrity, availability and concurrency.
-# .
-# It supports a mixture of imperative procedural, concurrent actor,
-# object-oriented and pure functional styles.  Rust also supports
-# generic programming and meta-programming, in both static and dynamic
-# styles.
-# .
-# This package contains development files necessary to use the standard
-# Rust libraries, for cross-compiling to the wasm32-unknown-unknown target.
+Package: libstd-rust-dev-wasm32-cross
+Section: libdevel
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, lld-9
+# Embeds wasi-libc so doesn't need to depend on it
+# None of its licenses require source redistrib, so no need for Built-Using
+Build-Profiles: <!nowasm>
+Description: Rust standard libraries - development files
+ Rust is a curly-brace, block-structured expression language.  It
+ visually resembles the C language family, but differs significantly
+ in syntactic and semantic details.  Its design is oriented toward
+ concerns of "programming in the large", that is, of creating and
+ maintaining boundaries - both abstract and operational - that
+ preserve large-system integrity, availability and concurrency.
+ .
+ It supports a mixture of imperative procedural, concurrent actor,
+ object-oriented and pure functional styles.  Rust also supports
+ generic programming and meta-programming, in both static and dynamic
+ styles.
+ .
+ This package contains development files necessary to use the standard
+ Rust libraries, for cross-compiling to the wasm32-unknown-unknown target.
 
 Package: rust-gdb
 Architecture: all
-Depends: binutils, ${misc:Depends}
+Depends: gdb, ${misc:Depends}
+Suggests: gdb-doc
 Replaces: rustc (<< 1.1.0+dfsg1-1)
 Description: Rust debugger (gdb)
  Rust is a curly-brace, block-structured expression language.  It
@@ -153,9 +155,7 @@
 Package: rust-lldb
 Architecture: all
 # When updating, also update rust-lldb.links
-#lldb-7, python3-lldb-7 are not currently on the loongarch-debian-system, so temporaaily delete them
-#Depends: lldb-7, ${misc:Depends}, python3-lldb-7
-Depends: ${misc:Depends}
+Depends: lldb-9, ${misc:Depends}, python3-lldb-9
 Replaces: rustc (<< 1.1.0+dfsg1-1)
 Description: Rust debugger (lldb)
  Rust is a curly-brace, block-structured expression language.  It
