## rustc 1.43.0+dfsg1

=== debian/changelog ===
rustc (1.43.0+dfsg1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE

 -- Raspbian forward porter <root@raspbian.org>  Fri, 17 Jul 2020 17:43:38 +0000

rustc (1.43.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump LLVM B-D version for some backported fixes affecting rustc.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jul 2020 15:06:52 +0100

rustc (1.43.0+dfsg1-1~exp1) experimental; urgency=medium

  * Drop sparc64 workaround. (Closes: #956413)
  * Drop stack-gap workaround for old kernels and rust versions.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Apr 2020 13:09:20 +0100
