=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
                dpkg-dev (>= 1.17.14),
                python3:native,
                cargo:native (>= 0.40.0)      <!pkg.rustc.dlstage0>,
-               rustc:native (>= 1.41.0+dfsg) <!pkg.rustc.dlstage0>,
-               rustc:native (<= 1.42.0++)    <!pkg.rustc.dlstage0>,
+               rustc:native (>= 1.42.0+dfsg) <!pkg.rustc.dlstage0>,
+               rustc:native (<= 1.43.0++)    <!pkg.rustc.dlstage0>,
                llvm-9-dev:native,
                llvm-9-tools:native,
-               libllvm9 (>= 1:9.0.1-2),
-               autotools-dev,
+               libllvm9 (>= 1:9.0.1-13),
                cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
                pkg-config,
@@ -49,7 +48,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-dev (= ${binary:Version}),
  gcc, libc-dev, binutils (>= 2.26)
-Recommends: cargo (>= 0.43.0~~), cargo (<< 0.44.0~~), rust-gdb | rust-lldb
+Recommends: cargo (>= 0.44.0~~), cargo (<< 0.45.0~~), rust-gdb | rust-lldb
 Suggests: rust-doc, rust-src, lld-9
 Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
 Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
@@ -66,7 +65,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.42
+Package: libstd-rust-1.43
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -91,7 +90,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.42 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.43 (= ${binary:Version})
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
