=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,6 @@
 RUSTFLAGS += --cap-lints warn --remap-path-prefix=$(CURDIR)=/usr/src/rustc-$(RUST_LONG_VERSION)
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS RUSTFLAGS
 export CARGO_HOME = $(CURDIR)/debian/cargo
-ifneq (,$(filter $(DEB_BUILD_ARCH), sparc64))
-export CARGO_INCREMENTAL = 0
-endif
 
 # Defines DEB_*_RUST_TYPE triples
 include debian/architecture.mk
@@ -126,10 +123,6 @@
 SRC_CLEAN = src/bootstrap/bootstrap.pyc \
 	src/etc/__pycache__/
 
-# Workaround for linux #865549
-ifeq (0,$(shell test $$(uname -s) = "Linux" -a $$(getconf PAGESIZE) -gt 4096; echo $$?))
-  SYSTEM_WORKAROUNDS += ulimit -s $$(expr $$(getconf PAGESIZE) / 1024 '*' 256 + 8192);
-endif
 # Try to work around #933045
 ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
   SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
@@ -185,3 +178,8 @@
 	$(PRECONFIGURE_CHECK)
 	if [ -d stage0 ]; then mkdir -p build && ln -sfT ../stage0 build/cache; fi
 	# work around #842634
+	if test $$(grep "127.0.0.1\s*localhost" /etc/hosts | wc -l) -gt 1; then \
+	  debian/ensure-patch -N debian/patches/d-host-duplicates.patch; fi
+	# work around https://github.com/rust-lang/rust/issues/59264
+	# We patched some crates so have to rm the checksums
+	find vendor -name .cargo-checksum.json -execdir "$(CURDIR)/debian/prune-checksums" "{}" +
